package com.goldenwater.slgc.service.impl.pms;

import com.goldenwater.slgc.entity.pms.PmsPhaseLog;
import com.goldenwater.slgc.mapper.pms.PmsPhaseLogMapper;
import com.goldenwater.slgc.service.pms.IPmsPhaseLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import java.util.List;

@Service
@Transactional
public class PmsPhaseLogServiceImpl implements IPmsPhaseLogService {
    @Autowired
    private PmsPhaseLogMapper pmsPhaseLogMapper;

    /**
     * 查询阶段日志列表
     */
    @Override
    public List<PmsPhaseLog> selectList(PmsPhaseLog phaseLog) {
        return pmsPhaseLogMapper.selectList(phaseLog);
    }

    /**
     * 根据主键查询阶段日志
     */
    @Override
    public PmsPhaseLog selectById(Long id) {
        return pmsPhaseLogMapper.selectById(id);
    }

    /**
     * 新增阶段日志
     */
    @Override
    public int insert(PmsPhaseLog phaseLog) {
        return pmsPhaseLogMapper.insert(phaseLog);
    }

    /**
     * 修改阶段日志
     */
    @Override
    public int update(PmsPhaseLog phaseLog) {
        return pmsPhaseLogMapper.update(phaseLog);
    }

    /**
     * 删除阶段日志
     */
    @Override
    public int deleteById(Long id) {
        return pmsPhaseLogMapper.deleteById(id);
    }

    /**
     * 批量删除阶段日志
     */
    @Override
    public int deleteByIds(Long[] ids) {
        return pmsPhaseLogMapper.deleteByIds(ids);
    }

    /**
     * 根据阶段ID查询阶段日志列表
     */
    @Override
    public List<PmsPhaseLog> selectByPhaseId(Long phaseId) {
        return pmsPhaseLogMapper.selectByPhaseId(phaseId);
    }
}
